Name: python-module-wx
Version: 2.6.1.0
Release: alt0.M24.1

%define wxver 2.6.1
%setup_python_module wx

# Enable/disable UNICODE support
%def_enable unicode

# Enable/disable GLcanvas
%def_disable glcanvas

Summary: Cross platform GUI toolkit for Python using wxGTK

License: wxWindows Library Licence
Group: Development/Python
Url: http://www.wxpython.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://belnet.dl.sourceforge.net/sourceforge/wxpython/%name-%version.tar.bz2
#Patch: %name-%version.patch

Provides: wxPython = %version
Obsoletes: wxPython
Provides: wxPythonGTK = %version
Obsoletes: wxPythonGTK

Provides: python2.3(wx)
Provides: python2.3(wxPython)

# Removed for M24: python-modules-libxml2 
# manually removed: eric PyXML
# Automatically added by buildreq on Sat Jun 18 2005
BuildRequires: gcc-c++ glib2-devel libatk-devel libgtk+2-devel libpango-devel libstdc++-devel pkgconfig python-base python-dev python-modules-compiler python-modules-encodings wxGTK2u-contrib-gizmos-devel wxGTK2u-contrib-ogl-devel wxGTK2u-contrib-stc-devel wxGTK2u-devel XFree86-devel

%if_enabled unicode
BuildPreReq: wxGTK2u-devel >= %wxver
Requires: wxGTK2u = %wxver
%else
BuildPreReq: wxGTK2-devel >= %wxver
Requires: wxGTK2 = %wxver
%endif

%add_python_req_skip clip_dndc cmndlgsc controls2c controlsc eventsc filesysc fontsc framesc gdic htmlhelpc imagec mdic misc2c miscc oglbasicc oglcanvasc oglshapes2c oglshapesc printfwc sizersc stattoolc streamsc utilsc windows2c windows3c windowsc xmlrpcserver __version__ _controls _gdi _misc _windows

%description
wxPython is a GUI toolkit for Python that is a wrapper around the
wxWindows C++ GUI library. wxPython provides a large variety of
window types and controls, all implemented with a native look and feel
(and native runtime speed) on the platforms it is supported on.

This package is using the wxGTK port of wxWindows.

This module is built for python 2.3

%package devel
Summary: Files needed to build wrappers for wxPythonGTK
Group: Development/Python
Requires: %name = %version-%release
Obsoletes: wxPythonGTK-devel

%description devel
This package contains files required to build extensions that
interoperate with wxPythonGTK.

%package demo
Summary: Demo programs for python-module-wx using
Group: Development/Python
Requires: %name = %version-%release

%description demo
This package contains demo programs files for wxPythonGTK

%prep
%setup -q
#%patch -p0
# We do not need refresh this files
%__subst "s|'preamble.txt', 'licence.txt', 'licendoc.txt', 'lgpl.txt'||" ./setup.py

%build

%__mkdir -p buildroot

# Unfortunately build and install steps should be done at once
# because otherwise .pyo files won't get into INSTALLED_FILES
# record
CFLAGS="%optflags" %__python setup.py \
	NO_SCRIPTS=1 \
	WXPORT=gtk2 \
%if_enabled unicode
	UNICODE=1 \
%else
	UNICODE=0 \
%endif
%if_enabled glcanvas
	BUILD_GLCANVAS=1 \
%else
	BUILD_GLCANVAS=0 \
%endif
	BUILD_OGL=1 \
	BUILD_ANIMATE=0 \
	BUILD_STC=1 \
	BUILD_GIZMOS=1 \
        build install --optimize=2 \
                --root=`pwd`/buildroot

%install

%__cp -pr buildroot %buildroot

%__mkdir -p %buildroot%_bindir
%__cp scripts/{img2png,img2py,img2xpm,pycrust,pyshell,xrced} %buildroot%_bindir

%postun
# remove old entries
%triggerpostun -- wxPythonGTK <= 2.4.2.4-alt4.1
%__rm -rf %python_sitelibdir/{wx,wxPython} || :

%files
%_bindir/*
%python_sitelibdir/*
%doc docs/{README.txt,CHANGES.txt}

%files devel
%_includedir/wx-*/wx/wxPython

%files demo
%doc demo

%changelog
* Sat Sep 10 2005 Vitaly Lipatov <lav@altlinux.ru> 2.6.1.0-alt0.M24.1
- backports to ALT Linux M24

* Sat Jun 18 2005 Vitaly Lipatov <lav@altlinux.ru> 2.6.1.0-alt1
- new version
- ogl enabled
- build with wxGTK2u (Unicode)

* Sun May 08 2005 Vitaly Lipatov <lav@altlinux.ru> 2.6.0.0-alt1
- new version, build with stable wxGTK 2.6.0

* Wed Apr 13 2005 Vitaly Lipatov <lav@altlinux.ru> 2.5.5.1-alt1
- new version, build with wxGTK 2.5.5

* Fri Mar 25 2005 Vitaly Lipatov <lav@altlinux.ru> 2.5.4.1-alt2
- fix buildreq for gizmos

* Wed Mar 23 2005 Vitaly Lipatov <lav@altlinux.ru> 2.5.4.1-alt1
- new version
- build with python 2.4, wxGTK 2.5.4

* Fri Dec 03 2004 Vitaly Lipatov <lav@altlinux.ru> 2.5.3.1-alt1
- new version
- package renamed from wxPythonGTK

* Mon Jul 19 2004 Maxim Tyurin <mrkooll@altlinux.ru> 2.4.2.4-alt4.1
- skip different requires

* Fri Jun 18 2004 Maxim Tyurin <mrkooll@altlinux.ru> 2.4.2.4-alt4
- Rebuild according to new python policy

* Thu May 20 2004 Andrey Astafiev <andrei@altlinux.ru> 2.4.2.4-alt3
- Rebuild according to new python policy.

* Sun Dec 07 2003 Andrey Astafiev <andrei@altlinux.ru> 2.4.2.4-alt2
- Rebuild with python23.

* Wed Oct 22 2003 Andrey Astafiev <andrei@altlinux.ru> 2.4.2.4-alt1
- 2.4.2.4

* Sun Sep 28 2003 Andrey Astafiev <andrei@altlinux.ru> 2.4.1.2-alt1
- 2.4.1.2
- Some minor changes in spec.

* Fri Jun 20 2003 Andrey Astafiev <andrei@altlinux.ru> 2.4.0.7-alt1
- 2.4.0.7

* Fri Mar 07 2003 Andrey Astafiev <andrei@altlinux.ru> 2.4.0.1-alt2
- fix: buildprereq wxGTK-devel >= 2.4.0
- removed OpenGL support.

* Thu Jan 16 2003 Andrey Astafiev <andrei@altlinux.ru> 2.4.0.1-alt1
- almost all spec was rewritten.
- wxPythonGTK doesn't include wxGTK.
- wxPythonGTK is obsolete.

* Sun Nov 24 2002 Oleg Gints <go@altlinux.ru> 2.3.3.1-alt1
- new ALT spec based on spec from Robin Dunn <robin@alldunn.com>

* Tue Feb 12 2002 Andrey Astafiev <andrei@altlinux.ru> 2.2.7-alt1
- rollback to stable branch 2.2.x.
- 2.2.7.

* Mon Jan 28 2002 Stanislav Ievlev <inger@altlinux.ru> 2.3.2.1-alt1
- rebuild with new python

* Wed Jun 27 2001 AEN <aen@logic.ru> 2.3.0-alt1
- new version
- built with python-2.1

* Sun Dec 17 2000 AEN <aen@logic.ru>
- new RE spec based on spec from Robin Dunn <robin@alldunn.com>
